{% extends "tickit/_layouts" %}

{% set selectedSubnavItem = 'settings' %}

{% set title = craft.tickit.name ~ " " ~ ("SettingsService"|t) %}

{% set navItems = {
    'hd': { heading: "SettingsService"|t },
    'general': { title: "General SettingsService"|t },
    'formatting-templates': { title: "Formatting TemplatesService"|t },
    'email-templates': { title: "Email TemplatesService"|t },
    'statuses': { title: "StatusesService"|t },
    'demo-templates': {title: 'Demo TemplatesService'|t},
    'hdapi': { heading: "API Integrations"|t },
    'mailing-lists': { title: "Mailing Lists"|t },
    'crm': { title: "CRM"|t },
} %}

{% set selectedItem = craft.app.request.getSegment(3)|default %}
{% set docTitle = navItems[selectedItem].title~' - '~title %}

{% block sidebar %}
    <nav>
        <ul>
            {% for id, item in navItems %}
                {% if item.heading is defined %}
                    <li class="heading"><span>{{ item.heading }}</span></li>
                {% else %}
                    <li><a href="{{ url('freeform/settings/'~id) }}"{% if id == selectedItem %} class="sel"{% endif %}>{{ item.title }}</a></li>
                {% endif %}
            {% endfor %}
        </ul>
    </nav>
{% endblock %}